> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List flavors matching volume requirements

> List all flavors that are suitable for instance creation based on volume requirements.
When `include_prices` is specified, the list includes pricing information.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml post /cloud/v1/instances/{project_id}/{region_id}/available_flavors
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 5ef57c94b74e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/instances/{project_id}/{region_id}/available_flavors:
    post:
      tags:
        - Instances
      summary: List flavors matching volume requirements
      description: >-
        List all flavors that are suitable for instance creation based on volume
        requirements.

        When `include_prices` is specified, the list includes pricing
        information.
      operationId: InstanceAvailableFlavorsViewSet.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: query
          name: include_prices
          required: false
          description: Set to true if flavor listing should include flavor prices.
          schema:
            default: false
            description: Set to true if flavor listing should include flavor prices.
            title: Include Prices
            type: boolean
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckFlavorVolumeListPydanticSerializer'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/InstanceFlavorExtendedV1CollectionSerializer
components:
  schemas:
    CheckFlavorVolumeListPydanticSerializer:
      properties:
        volumes:
          description: Volumes details. Non-important info such as names may be omitted.
          items:
            $ref: '#/components/schemas/CheckFlavorVolumeItemPydanticSerializer'
          title: Volumes
          type: array
      required:
        - volumes
      title: CheckFlavorVolumeListPydanticSerializer
      type: object
    InstanceFlavorExtendedV1CollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/InstanceFlavorExtendedUnion'
          title: Results
          type: array
      required:
        - count
        - results
      title: InstanceFlavorExtendedV1CollectionSerializer
      type: object
    CheckFlavorVolumeItemPydanticSerializer:
      properties:
        apptemplate_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: App template ID. Mandatory if source is 'apptemplate'.
          title: Apptemplate Id
        boot_index:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: >-
            0 should be set for primary boot device; Unique positive values for
            other bootable devices; negative - boot prohibited.
          title: Boot Index
        image_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Image ID. Mandatory if volume is created from image.
          title: Image Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Volume name. Non-important, may be omitted.
          title: Name
        size:
          anyOf:
            - minimum: 1
              type: integer
            - type: 'null'
          default: null
          description: >-
            Volume size. Must be specified when source is 'new-volume' or
            'image'. If specified for source 'snapshot' or 'existing-volume',
            value must be equal to respective snapshot or volume size
          title: Size
        snapshot_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Volume snapshot ID. Mandatory if volume is created from a snapshot
          title: Snapshot Id
        source:
          $ref: '#/components/schemas/VolumeSource'
          description: Volume source
        type_name:
          anyOf:
            - $ref: '#/components/schemas/VolumeTypeName'
            - type: 'null'
          default: null
          description: >-
            One of 'standard', 'ssd_hiiops', 'ssd_local', 'ssd_lowlatency',
            'cold', 'ultra'
        volume_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Volume ID. Mandatory if source is 'existing-volume'.
          title: Volume Id
      required:
        - source
      title: CheckFlavorVolumeItemPydanticSerializer
      type: object
    InstanceFlavorExtendedUnion:
      anyOf:
        - $ref: '#/components/schemas/InstanceFlavorExtendedSerializerWithoutPrice'
        - $ref: '#/components/schemas/InstanceFlavorExtendedSerializerWithPrice'
      title: InstanceFlavorExtendedUnion
    VolumeSource:
      enum:
        - apptemplate
        - existing-volume
        - image
        - new-volume
        - snapshot
      title: VolumeSource
      type: string
    VolumeTypeName:
      enum:
        - cold
        - ssd_hiiops
        - ssd_local
        - ssd_lowlatency
        - standard
        - ultra
      title: VolumeTypeName
      type: string
    InstanceFlavorExtendedSerializerWithoutPrice:
      description: Instances flavor schema without price information
      properties:
        architecture:
          description: Flavor architecture type
          example: x86_64
          examples:
            - x86_64
          title: Architecture
          type: string
        disabled:
          description: Disabled flavor flag
          example: false
          examples:
            - false
          title: Disabled
          type: boolean
        flavor_id:
          description: Flavor ID is the same as name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Id
          type: string
        flavor_name:
          description: Flavor name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Name
          type: string
        hardware_description:
          additionalProperties:
            type: string
          description: Additional hardware description
          title: Hardware Description
          type: object
        os_type:
          description: Flavor operating system
          example: linux
          examples:
            - linux
          title: Os Type
          type: string
        ram:
          description: RAM size in MiB
          example: 2048
          examples:
            - 2048
          title: Ram
          type: integer
        vcpus:
          description: Virtual CPU count
          example: 1
          examples:
            - 1
          title: Vcpus
          type: integer
      required:
        - flavor_id
        - flavor_name
        - vcpus
        - ram
        - disabled
        - hardware_description
        - os_type
        - architecture
      title: Instances flavor schema without price
      type: object
    InstanceFlavorExtendedSerializerWithPrice:
      description: Instances flavor schema with price information
      properties:
        architecture:
          description: Flavor architecture type
          example: x86_64
          examples:
            - x86_64
          title: Architecture
          type: string
        currency_code:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency code
          examples:
            - USD
          title: Currency Code
        disabled:
          description: Disabled flavor flag
          example: false
          examples:
            - false
          title: Disabled
          type: boolean
        flavor_id:
          description: Flavor ID is the same as name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Id
          type: string
        flavor_name:
          description: Flavor name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Name
          type: string
        hardware_description:
          additionalProperties:
            type: string
          description: Additional hardware description
          title: Hardware Description
          type: object
        os_type:
          description: Flavor operating system
          example: linux
          examples:
            - linux
          title: Os Type
          type: string
        price_per_hour:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: Price per hour
          examples:
            - 1
          title: Price Per Hour
        price_per_month:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: Price per month
          examples:
            - 720
          title: Price Per Month
        price_status:
          anyOf:
            - $ref: '#/components/schemas/PriceDisplayStatus'
            - type: 'null'
          description: Price status for the UI
          examples:
            - show
        ram:
          description: RAM size in MiB
          example: 2048
          examples:
            - 2048
          title: Ram
          type: integer
        vcpus:
          description: Virtual CPU count
          example: 1
          examples:
            - 1
          title: Vcpus
          type: integer
      required:
        - flavor_id
        - flavor_name
        - vcpus
        - ram
        - disabled
        - hardware_description
        - os_type
        - architecture
        - currency_code
        - price_per_hour
        - price_per_month
        - price_status
      title: Instances flavor schema with price
      type: object
    PriceDisplayStatus:
      enum:
        - error
        - hide
        - show
      title: PriceDisplayStatus
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````